Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::TopDocs Class Reference

Represents hits returned by `Searcher#search(QueryPtr, FilterPtr, int32_t)` and `Searcher#search(QueryPtr, int32_t)`. More...

`#include <TopDocs.h>`

Inheritance diagram for Lucene::TopDocs:

## Public Member Functions

| TopDocs (int32_t totalHits, Collection< ScoreDocPtr > scoreDocs)
| Constructs a TopDocs with a default maxScore = double.NaN.
| TopDocs (int32_t totalHits, Collection< ScoreDocPtr > scoreDocs, double maxScore)
| Constructs a TopDocs.
virtual | ~TopDocs ()
virtual String | getClassName ()
boost::shared_ptr< TopDocs > | shared_from_this ()
double | getMaxScore ()
| Returns the maximum score value encountered. Note that in case scores are not tracked, this returns NaN.
void | setMaxScore (double maxScore)
| Sets the maximum score value encountered.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | totalHits
| The total number of hits for the query.
Collection< ScoreDocPtr > | scoreDocs
| The top hits for the query.
double | maxScore
| Stores the maximum score value encountered, needed for normalizing.

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Represents hits returned by `Searcher#search(QueryPtr, FilterPtr, int32_t)` and `Searcher#search(QueryPtr, int32_t)`.

## Constructor & Destructor Documentation

## ◆ TopDocs() [1/2]

Lucene::TopDocs::TopDocs | ( | int32_t | totalHits,
|  | Collection< ScoreDocPtr > | scoreDocs )

Constructs a TopDocs with a default maxScore = double.NaN.

References scoreDocs, and totalHits.

Referenced by _getClassName().

## ◆ TopDocs() [2/2]

Lucene::TopDocs::TopDocs | ( | int32_t | totalHits,
|  | Collection< ScoreDocPtr > | scoreDocs,
|  | double | maxScore )

Constructs a TopDocs.

References maxScore, scoreDocs, and totalHits.

## ◆ ~TopDocs()

virtual Lucene::TopDocs::~TopDocs | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::TopDocs::_getClassName | ( |  | ) |

inline static

References TopDocs().

## ◆ getClassName()

virtual String Lucene::TopDocs::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::TopFieldDocs.

## ◆ getMaxScore()

double Lucene::TopDocs::getMaxScore | ( |  | ) |

Returns the maximum score value encountered. Note that in case scores are not tracked, this returns NaN.

## ◆ setMaxScore()

void Lucene::TopDocs::setMaxScore | ( | double | maxScore | ) |

Sets the maximum score value encountered.

References maxScore.

## ◆ shared_from_this()

boost::shared_ptr< TopDocs > Lucene::TopDocs::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ maxScore

double Lucene::TopDocs::maxScore

Stores the maximum score value encountered, needed for normalizing.

Referenced by setMaxScore(), TopDocs(), and Lucene::TopFieldDocs::TopFieldDocs().

## ◆ scoreDocs

Collection<ScoreDocPtr> Lucene::TopDocs::scoreDocs

The top hits for the query.

Referenced by TopDocs(), TopDocs(), and Lucene::TopFieldDocs::TopFieldDocs().

## ◆ totalHits

int32_t Lucene::TopDocs::totalHits

The total number of hits for the query.

Referenced by TopDocs(), TopDocs(), and Lucene::TopFieldDocs::TopFieldDocs().

The documentation for this class was generated from the following file:

- TopDocs.h

clucene.sourceforge.net